# Interface JSVFileHelper

All Known Implementing Classes:
  `AwtFileHelper, JsFileHelper`

public interface JSVFileHelper

## Method Summary

Modifier and Type
Method
Description
`GenericFileInterface`
`getFile(String fileName, Object panelOrFrame, boolean isAppend)`
`String`
`getUrlFromDialog(String info, String msg)`
`JSVFileHelper`
`set(JSViewer jsViewer)`
`String`
`setDirLastExported(String name)`
`void`
`setFileChooser(ExportType pdf)`
`GenericFileInterface`
`showFileOpenDialog(Object panelOrFrame, Object[] userData)`

## Method Details

### setFileChooser

void setFileChooser(ExportType pdf)

### getFile

GenericFileInterface getFile(String fileName, Object panelOrFrame, boolean isAppend)

### setDirLastExported

String setDirLastExported(String name)

### set

JSVFileHelper set(JSViewer jsViewer)

### showFileOpenDialog

GenericFileInterface showFileOpenDialog(Object panelOrFrame, Object[] userData)

### getUrlFromDialog

String getUrlFromDialog(String info, String msg)